package sm2m

import (
	"xdx.jelly/xgcl/gerrors"
)

//go:generate stringer -type=ErrorCode -linecomment -output=errors_string.go errors.go
type ErrorCode gerrors.ErrorCode

func (e ErrorCode) Error() string {
	return gerrors.Format(uint32(e), e.String())
}

// error codes
const (
	ErrInvalidInput ErrorCode = 0x0100f000 + iota //输入不合法
)
